Bug 215825

Summary: net/nsscache: missing dependency on databases/py-bsddb
Product: Ports & Packages Reporter: Jan Bramkamp <crest>
Component: Individual Port(s)Assignee: Kevin Bowling <kbowling>
Status: Closed FIXED    
Severity: Affects Only Me CC: crest, kbowling, koobs, python
Priority: --- Keywords: needs-qa
Version: LatestFlags: tobik: maintainer-feedback+
koobs: merge-quarterly?
Hardware: Any   
OS: Any   
URL: https://reviews.freebsd.org/D18655

Description Jan Bramkamp 2017-01-06 12:57:39 UTC
The nsscache python script requires the bsddb module to run and the port doesn't declare a runtime runtime dependency on any port providing it. Installing databases/py-bsddb allows nsscache to execute without obvious incompatibilities.
Comment 1 VK freebsd_triage 2017-01-06 20:54:29 UTC
Guessing maintainer address from previous commits to net/nsscache.

Kevin, please sync up your MAINTAINER address with the one here in Bugzilla, or else we cannot properly track the issue. Thanks.
Comment 2 Kevin Bowling freebsd_committer 2017-01-07 11:14:00 UTC
(In reply to Jan Bramkamp from comment #0)
It depends how you configure it, py-bsddb is only needed to generate BDB files for legacy Linux clients not using libnss-cache.  There's no reason we shouldn't let the FreeBSD port generate those so I am fine with someone adding that as a runtime dep.
Comment 3 Kevin Bowling freebsd_committer 2017-01-07 11:14:22 UTC
(In reply to Vladimir Krstulja from comment #1)
Ok, I don't have commit access can you update these:  http://www.freshports.org/search.php?stype=maintainer&method=exact&query=k@kev009.com
Comment 4 Jan Bramkamp 2017-01-16 09:47:00 UTC
The databases/py-bsddb port is required to even display a usage message. Without the python interpreter fails with a missing import.
Comment 5 Tobias Kortkamp freebsd_committer 2018-11-22 13:35:21 UTC
(In reply to Kevin Bowling from comment #2)
Ping.  Can you add the missing dependency if it is still needed or close the bug?
Comment 6 Jan Bramkamp 2018-11-22 13:47:37 UTC
Sorry I forgot about nsscache. Let me take a look at the state of the port again.
Comment 7 Kevin Bowling freebsd_committer 2018-12-25 11:03:39 UTC
Fix in https://reviews.freebsd.org/D18655
Comment 8 Kubilay Kocak freebsd_committer freebsd_triage 2018-12-29 02:08:49 UTC
(In reply to Kevin Bowling from comment #7)

Any bug fixes (eg: missing dependency) and other changes/improvements should be separated from version updates so that the former can be merged to the quarterly branch without the latter, unless the latter (version update) is also purely bugfixes, in which case it can all be merged.
Comment 9 commit-hook freebsd_committer 2018-12-30 22:11:49 UTC
A commit references this bug:

Author: kbowling
Date: Sun Dec 30 22:11:37 UTC 2018
New revision: 488745
URL: https://svnweb.freebsd.org/changeset/ports/488745

Log:
  net/nsscache: update to 0.37

  Adds support for nested groups

  PR:		215825
  Approved by:	krion (mentor)
  Sponsored by:	BBOX.io
  Differential Revision:	https://reviews.freebsd.org/D18655

Changes:
  head/net/nsscache/Makefile
  head/net/nsscache/distinfo
Comment 10 Kevin Bowling freebsd_committer 2018-12-30 22:13:56 UTC
Fixed in ports head, thanks!